libopenmpt_stream_callbacks_buffer.h File Reference
`#include "libopenmpt.h"`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Classes

struct | openmpt_stream_buffer

## Macros

#define | openmpt_stream_buffer_init_prefix_only(buffer_, prefix_data_, prefix_size_, file_size_)
#define | openmpt_stream_buffer_overflowed(buffer_) ( (buffer_)->overflow )

## Typedefs

typedef struct openmpt_stream_buffer | openmpt_stream_buffer

## Functions

static size_t | openmpt_stream_buffer_read_func (void *stream, void *dst, size_t bytes)
static int | openmpt_stream_buffer_seek_func (void *stream, int64_t offset, int whence)
static int64_t | openmpt_stream_buffer_tell_func (void *stream)
static void | openmpt_stream_buffer_init (openmpt_stream_buffer *buffer, const void *file_data, int64_t file_size)
static openmpt_stream_callbacks | openmpt_stream_get_buffer_callbacks (void)

## Macro Definition Documentation

## openmpt_stream_buffer_init_prefix_only

#define openmpt_stream_buffer_init_prefix_only | ( |  | buffer_,
|  |  | prefix_data_,
|  |  | prefix_size_,
|  |  | file_size_
| ) |  |

Value:
do { \
openmpt_stream_buffer_init( (buffer_), (prefix_data_), (file_size_) ); \
(buffer_)->prefix_size = (prefix_size_); \
} while(0)

## openmpt_stream_buffer_overflowed

#define openmpt_stream_buffer_overflowed | ( |  | buffer_ | ) | ( (buffer_)->overflow )

## Typedef Documentation

## openmpt_stream_buffer

typedef struct openmpt_stream_buffer openmpt_stream_buffer

## Function Documentation

## openmpt_stream_buffer_init()

static void openmpt_stream_buffer_init | ( | openmpt_stream_buffer * | buffer,
|  | const void * | file_data,
|  | int64_t | file_size
| ) |  |

static

## openmpt_stream_buffer_read_func()

static size_t openmpt_stream_buffer_read_func | ( | void * | stream,
|  | void * | dst,
|  | size_t | bytes
| ) |  |

static

## openmpt_stream_buffer_seek_func()

static int openmpt_stream_buffer_seek_func | ( | void * | stream,
|  | int64_t | offset,
|  | int | whence
| ) |  |

static

## openmpt_stream_buffer_tell_func()

static int64_t openmpt_stream_buffer_tell_func | ( | void * | stream | ) |

static

## openmpt_stream_get_buffer_callbacks()

static openmpt_stream_callbacks openmpt_stream_get_buffer_callbacks | ( | void |  | ) |

static